cadenya agents variations update agent_123 _123require "cadenya"
client = Cadenya::Client.new
result = client.agents.variations.update("agent_123", "_123")
puts result.inspectpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.AgentVariationUpdateParams{}
result, err := client.Agents().Variations().Update(ctx, "agent_123", "_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const result = await client.agents.variations.update('agent_123', '_123');from cadenya import Cadenya
with Cadenya() as client:
result = client.agents.variations.update("agent_123", "_123")
print(result){
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"systemPromptTemplate": "<string>",
"progressiveDiscovery": {
"maxTools": 123,
"hints": [
"<string>"
]
},
"constraints": {
"maxToolCalls": 123,
"maxSubObjectives": 123,
"inactivityTimeout": "<string>"
},
"description": "<string>",
"modelConfig": {
"modelId": "claude/opus-4.6",
"temperature": 123,
"topP": 123,
"topK": 123,
"stopSequences": [
"<string>"
],
"maxOutputTokens": 123,
"reasoningEffort": "REASONING_EFFORT_UNSPECIFIED",
"cachingEnabled": true
},
"compactionConfig": {
"triggerThreshold": 123,
"summarization": {
"instructions": "<string>"
},
"toolResultClearing": {
"preserveRecentResults": 123
}
},
"firstUserMessageTemplate": "<string>"
},
"info": {
"toolCount": 123,
"toolSetCount": 123,
"subAgentCount": 123,
"score": 123,
"feedbackCount": 123,
"assignments": [
{
"type": "tool",
"tool": {
"id": "<string>",
"name": "<string>"
},
"id": "avt_01HXKD2E5NQM3T9AYWCFJE6K89"
}
],
"memoryLayerAssignments": [
{
"id": "avml_01HXKD2E5NQM3T9AYWCFX8AF59",
"memoryLayer": {
"id": "<string>",
"name": "<string>"
},
"position": 123
}
],
"memoryLayerCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"model": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Update a variation
Updates a variation for an agent
cadenya agents variations update agent_123 _123require "cadenya"
client = Cadenya::Client.new
result = client.agents.variations.update("agent_123", "_123")
puts result.inspectpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.AgentVariationUpdateParams{}
result, err := client.Agents().Variations().Update(ctx, "agent_123", "_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const result = await client.agents.variations.update('agent_123', '_123');from cadenya import Cadenya
with Cadenya() as client:
result = client.agents.variations.update("agent_123", "_123")
print(result){
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"systemPromptTemplate": "<string>",
"progressiveDiscovery": {
"maxTools": 123,
"hints": [
"<string>"
]
},
"constraints": {
"maxToolCalls": 123,
"maxSubObjectives": 123,
"inactivityTimeout": "<string>"
},
"description": "<string>",
"modelConfig": {
"modelId": "claude/opus-4.6",
"temperature": 123,
"topP": 123,
"topK": 123,
"stopSequences": [
"<string>"
],
"maxOutputTokens": 123,
"reasoningEffort": "REASONING_EFFORT_UNSPECIFIED",
"cachingEnabled": true
},
"compactionConfig": {
"triggerThreshold": 123,
"summarization": {
"instructions": "<string>"
},
"toolResultClearing": {
"preserveRecentResults": 123
}
},
"firstUserMessageTemplate": "<string>"
},
"info": {
"toolCount": 123,
"toolSetCount": 123,
"subAgentCount": 123,
"score": 123,
"feedbackCount": 123,
"assignments": [
{
"type": "tool",
"tool": {
"id": "<string>",
"name": "<string>"
},
"id": "avt_01HXKD2E5NQM3T9AYWCFJE6K89"
}
],
"memoryLayerAssignments": [
{
"id": "avml_01HXKD2E5NQM3T9AYWCFX8AF59",
"memoryLayer": {
"id": "<string>",
"name": "<string>"
},
"position": 123
}
],
"memoryLayerCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"model": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID.
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
Agent ID. Accepts the canonical agent_… form or the external_id:<value> form.
"agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"
Variation ID. Accepts the canonical agentvar_… form or the external_id:<value> form.
"agentvar_01HXKD2E5NQM3T9AYWCF32BSPP"
Body
Update agent variation request
UpdateResourceMetadata contains the user-provided fields for updating a workspace-scoped resource. Read-only fields (id, account_id, workspace_id, profile_id, created_at) are excluded since they are set by the server.
Show child attributes
Show child attributes
AgentVariationSpec defines the operational configuration for a variation
Show child attributes
Show child attributes
Fields to update